Page MenuHomePhabricator

Parsoid/JS video tag has a "seek" parameter in the URL that Parsoid/PHP video tag output doesn't
Closed, ResolvedPublic

Description

ssastry@scandium:/srv/deployment/parsoid/deploy/src/bin$ node diff.html.js diff.yaml en.wikipedia.org Donald_Trump
DIFFS FOR en.wikipedia.org:Donald_Trump
----- JS:[710788, 711405] -----
<video poster="//upload.wikimedia.org/wikipedia/commons/thumb/1/14/President_Trump_Gives_a_Statement_on_the_Infrastructure_Discussion.webm/220px-seek%3D439-President_Trump_Gives_a_Statement_on_the_Infrastructure_Discussion.webm.jpg" controls="" preload="none" height="124" width="220" resource="./File:President_Trump_Gives_a_Statement_on_the_Infrastructure_Discussion.webm" data-parsoid='{"a":{"height":"124","width":"220","resource":"./File:President_Trump_Gives_a_Statement_on_the_Infrastructure_Discussion.webm"},"sa":{"resource":"File:President Trump Gives a Statement on the Infrastructure Discussion.webm"}}'>

+++++ PHP:[710788, 711395] +++++
<video poster="//upload.wikimedia.org/wikipedia/commons/thumb/1/14/President_Trump_Gives_a_Statement_on_the_Infrastructure_Discussion.webm/220px--President_Trump_Gives_a_Statement_on_the_Infrastructure_Discussion.webm.jpg" controls="" preload="none" height="124" width="220" resource="./File:President_Trump_Gives_a_Statement_on_the_Infrastructure_Discussion.webm" data-parsoid='{"a":{"height":"124","width":"220","resource":"./File:President_Trump_Gives_a_Statement_on_the_Infrastructure_Discussion.webm"},"sa":{"resource":"File:President Trump Gives a Statement on the Infrastructure Discussion.webm"}}'>

ssastry@scandium:/srv/deployment/parsoid/deploy/src/bin$ node diff.html.js diff.yaml en.wikipedia.org Barack_Obama
DIFFS FOR en.wikipedia.org:Barack_Obama
----- JS:[329019, 329410] -----
<video poster="//upload.wikimedia.org/wikipedia/commons/thumb/a/a5/20090124_WeeklyAddress.ogv/220px-seek%3D63-20090124_WeeklyAddress.ogv.jpg" controls="" preload="none" height="124" width="220" resource="./File:20090124_WeeklyAddress.ogv" data-parsoid='{"a":{"height":"124","width":"220","resource":"./File:20090124_WeeklyAddress.ogv"},"sa":{"resource":"File:20090124 WeeklyAddress.ogv"}}'>

+++++ PHP:[329019, 329401] +++++
<video poster="//upload.wikimedia.org/wikipedia/commons/thumb/a/a5/20090124_WeeklyAddress.ogv/220px--20090124_WeeklyAddress.ogv.jpg" controls="" preload="none" height="124" width="220" resource="./File:20090124_WeeklyAddress.ogv" data-parsoid='{"a":{"height":"124","width":"220","resource":"./File:20090124_WeeklyAddress.ogv"},"sa":{"resource":"File:20090124 WeeklyAddress.ogv"}}'>

Details

Related Gerrit Patches:
mediawiki/services/parsoid : masterFix for video media seek parameter

Event Timeline

ssastry triaged this task as Medium priority.Oct 10 2019, 11:00 PM
ssastry created this task.
Restricted Application added subscribers: Liuxinyu970226, Aklapper. · View Herald TranscriptOct 10 2019, 11:00 PM
ssastry assigned this task to Sbailey.Oct 15 2019, 10:41 PM

Researched and attempted to reproduce using command line parse.php and in that mode, does not fail to match ParsoidJS in command line mode. The core parser also produces the seek correctly, but when ParsoidPHP is used in production mode, fails with local installation of mediawiki or on server installations.
I need to get my local mediawiki install back in running state after upgrading OSX to Catalina to continue.

Change 547335 had a related patch set uploaded (by Sbailey; owner: Sbailey):
[mediawiki/services/parsoid@master] Fix for video media seek parameter

https://gerrit.wikimedia.org/r/547335

Change 547335 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Fix for video media seek parameter

https://gerrit.wikimedia.org/r/547335

ssastry closed this task as Resolved.Nov 8 2019, 8:51 PM